curl --request POST \
--url https://app.tagadapay.com/api/public/v1/payment-flows/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"name": "Simple Stripe",
"strategy": "simple",
"fallbackMode": false,
"maxFallbackRetries": 0,
"threeDsEnabled": false,
"stickyProcessorEnabled": false,
"pickProcessorStrategy": "weighted",
"processorConfigs": [
{
"processorId": "proc_stripe",
"weight": 100,
"disabled": false,
"nonStickable": false
}
],
"fallbackProcessorConfigs": [],
"abuseDetectionConfig": null
}
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Create a new payment flow (processor orchestration configuration). Requires org:admin role.
A payment flow defines:
simple (single processor) or cascade (fallback chain)weighted, lowestCapacity, or automaticcurl --request POST \
--url https://app.tagadapay.com/api/public/v1/payment-flows/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"name": "Simple Stripe",
"strategy": "simple",
"fallbackMode": false,
"maxFallbackRetries": 0,
"threeDsEnabled": false,
"stickyProcessorEnabled": false,
"pickProcessorStrategy": "weighted",
"processorConfigs": [
{
"processorId": "proc_stripe",
"weight": 100,
"disabled": false,
"nonStickable": false
}
],
"fallbackProcessorConfigs": [],
"abuseDetectionConfig": null
}
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}